type: diagnostic_aggregator/AnalyzerGroup
path: Lidar
analyzers:
  supervisor:
    type: diagnostic_aggregator/GenericAnalyzer
    path: Supervisor
    expected:
      - "lidar_supervisor: Lidar ROS Diagnostic Aggregator Orchestration"
      - "lidar_supervisor: supervisor_zci"
      - "lidar_supervisor: supervisor_diagnostic"
      - "lidar_supervisor: Lidar Driver 8 Orchestration"
      - "lidar_supervisor: Lidar Driver 7 Orchestration"
      - "lidar_supervisor: Lidar Driver 6 Orchestration"
      - "lidar_supervisor: Lidar Driver 5 Orchestration"
      - "lidar_supervisor: Lidar Driver 4 Orchestration"
      - "lidar_supervisor: Lidar Driver 3 Orchestration"
      - "lidar_supervisor: Lidar Driver 2 Orchestration"
      - "lidar_supervisor: Lidar Driver 1 Orchestration"
  velodyne8:
    type: diagnostic_aggregator/GenericAnalyzer
    path: velodyne8
    expected:
      - "velodyne8_node: projector"
      - "velodyne8_node: velodyne8_lidar_projector_zci"
      - "velodyne8_node: diagnostics"
      - "velodyne8_node: velodyne8_diagnostics_zci"
      - "velodyne8_node: driver_metrics"
  velodyne7:
    type: diagnostic_aggregator/GenericAnalyzer
    path: velodyne7
    expected:
      - "velodyne7_node: projector"
      - "velodyne7_node: velodyne7_lidar_projector_zci"
      - "velodyne7_node: diagnostics"
      - "velodyne7_node: velodyne7_diagnostics_zci"
      - "velodyne7_node: driver_metrics"
  velodyne6:
    type: diagnostic_aggregator/GenericAnalyzer
    path: velodyne6
    expected:
      - "velodyne6_node: projector"
      - "velodyne6_node: velodyne6_lidar_projector_zci"
      - "velodyne6_node: diagnostics"
      - "velodyne6_node: velodyne6_diagnostics_zci"
      - "velodyne6_node: driver_metrics"
  velodyne5:
    type: diagnostic_aggregator/GenericAnalyzer
    path: velodyne5
    expected:
      - "velodyne5_node: projector"
      - "velodyne5_node: velodyne5_lidar_projector_zci"
      - "velodyne5_node: diagnostics"
      - "velodyne5_node: velodyne5_diagnostics_zci"
      - "velodyne5_node: driver_metrics"
  velodyne4:
    type: diagnostic_aggregator/GenericAnalyzer
    path: velodyne4
    expected:
      - "velodyne4_node: projector"
      - "velodyne4_node: velodyne4_lidar_projector_zci"
      - "velodyne4_node: diagnostics"
      - "velodyne4_node: velodyne4_diagnostics_zci"
      - "velodyne4_node: driver_metrics"
  velodyne3:
    type: diagnostic_aggregator/GenericAnalyzer
    path: velodyne3
    expected:
      - "velodyne3_node: projector"
      - "velodyne3_node: velodyne3_lidar_projector_zci"
      - "velodyne3_node: diagnostics"
      - "velodyne3_node: velodyne3_diagnostics_zci"
      - "velodyne3_node: driver_metrics"
  velodyne2:
    type: diagnostic_aggregator/GenericAnalyzer
    path: velodyne2
    expected:
      - "velodyne2_node: projector"
      - "velodyne2_node: velodyne2_lidar_projector_zci"
      - "velodyne2_node: diagnostics"
      - "velodyne2_node: velodyne2_diagnostics_zci"
      - "velodyne2_node: driver_metrics"
  velodyne1:
    type: diagnostic_aggregator/GenericAnalyzer
    path: velodyne1
    expected:
      - "velodyne1_node: projector"
      - "velodyne1_node: velodyne1_lidar_projector_zci"
      - "velodyne1_node: diagnostics"
      - "velodyne1_node: velodyne1_diagnostics_zci"
      - "velodyne1_node: driver_metrics"
